## with-simulated-input-el 2.4

=== Makefile ===
ELISP_FILES := $(shell cask files)
ELC_FILES := $(patsubst %.el,%.elc,$(ELISP_FILES))

.PHONY: test compile clean
.INTERMEDIATE: .compile.intermediate

all: test

# We run clean-elc because undercover.el doesn't support elc files
test:
	cask clean-elc
	cask exec buttercup -L .

compile: $(ELC_FILES)

$(ELC_FILES): .compile.intermediate
.compile.intermediate: $(ELISP_FILES)
	cask build

clean:
	cask clean-elc

## with-simulated-input-el 2.2

=== debian/changelog ===
with-simulated-input-el (2.2-1) unstable; urgency=medium

  * Initial release (Closes: #888823)

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 29 Jan 2018 14:36:12 +0500

=== debian/control ===
Source: with-simulated-input-el
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 11),
               dh-elpa,
               elpa-buttercup,
               elpa-s,
               elpa-seq
Standards-Version: 4.1.3
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/DarwinAwardWinner/with-simulated-input
Vcs-Browser: https://salsa.debian.org/emacsen-team/with-simulated-input-el
Vcs-Git: https://salsa.debian.org/emacsen-team/with-simulated-input-el.git

Package: elpa-with-simulated-input
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs25
Description: macro to simulate user input non-interactively
 This package provides an Emacs Lisp macro, `with-simulated-input',
 which evaluates one or more forms while simulating a sequence of
 input events for those forms to read. The result is the same as if
 you had evaluated the forms and then manually typed in the same
 input. This macro is useful for non-interactive testing of normally
 interactive commands and functions, such as `completing-read'.

## with-simulated-input-el 2.4

=== debian/changelog ===
with-simulated-input-el (2.4-1) unstable; urgency=medium

  [ David Krauser ]
  * d/control: Update maintainer email address

  [ Lev Lamberov ]
  * New upstream version 2.4
  * Migrate to debhelper 12 without d/compat
  * Refresh patch to clean documentation
  * Drop patch to disable several tests
  * d/control: Declare Standards-Version 4.4.1 (no changes needed)
  * d/control: Add Rules-Requires-Root: no
  * d/control: Drop emacs25 from Enhances
  * d/copyright: Bump copyright years
  * d/control: Build-Depend on elpa-undercover
  * d/rules: Override upstream Makefile rules

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 02 Dec 2019 22:31:27 +0500

with-simulated-input-el (2.2-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Thu, 29 Aug 2019 07:07:33 -0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: with-simulated-input-el
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-elpa,
                elpa-buttercup,
                elpa-s,
-               elpa-seq
-Standards-Version: 4.1.3
+               elpa-seq,
+               elpa-undercover
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/DarwinAwardWinner/with-simulated-input
 Vcs-Browser: https://salsa.debian.org/emacsen-team/with-simulated-input-el
@@ -19,8 +21,7 @@
 Depends: ${elpa:Depends},
          ${misc:Depends}
 Recommends: emacs (>= 46.0)
-Enhances: emacs,
-          emacs25
+Enhances: emacs
 Description: macro to simulate user input non-interactively
  This package provides an Emacs Lisp macro, `with-simulated-input',
  which evaluates one or more forms while simulating a sequence of

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_clean:
	@echo skipping upstream clean

override_dh_auto_build:
	@echo skipping upstream build

override_dh_auto_install:
	@echo skipping upstream install

.PHONY: override_dh_auto_clean override_dh_auto_build override_dh_auto_install

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%with-simulated-input-el-$1.tar.gz%" \
             https://github.com/DarwinAwardWinner/with-simulated-input/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## with-simulated-input-el 2.4+git20200216.29173588

=== debian/changelog ===
with-simulated-input-el (2.4+git20200216.29173588-1) unstable; urgency=medium

  * New upstream version 2.4+git20200216.29173588 (Closes: #954688)
  * Declare Standards-Version 4.5.0 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 23 Mar 2020 16:04:17 +0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                elpa-s,
                elpa-seq,
                elpa-undercover
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/DarwinAwardWinner/with-simulated-input

## with-simulated-input-el 3.0

=== debian/changelog ===
with-simulated-input-el (3.0-4) unstable; urgency=medium

  * Team upload.
  * Replace build-dep seq-el -> emacs (>= 1:30.1).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 13 Mar 2025 12:55:36 +0800

with-simulated-input-el (3.0-3) unstable; urgency=medium

  [ Xiyue Deng ]
  * Team upload
  * Mark local patches as "Forwarded: not-needed"
  * Skip tests using "xit" instead of commenting for easier tracking
  * Skip more tests incompatible with Emacs 30.1.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.7.1, no changes needed.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 28 Feb 2025 20:35:26 +0800

with-simulated-input-el (3.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:36:16 +0900

with-simulated-input-el (3.0-1) unstable; urgency=medium

  * New upstream version 3.0
  * Add patch to disable tests (Closes: #1020184)
  * Add upstream metadata
  * d/control: Declare Standards-Version 4.6.1 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 08 Oct 2022 21:27:21 +0500

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                elpa-buttercup,
                elpa-s,
-               elpa-seq,
+               emacs (>= 1:30.1),
                elpa-undercover
-Standards-Version: 4.5.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/DarwinAwardWinner/with-simulated-input
